Page MenuHomePhabricator

Move all Node.JS services to Jessie and Node 4
Closed, ResolvedPublic

Description

We have packages for Jessie for Node 4 ready. Now we need to port our services currently running in production to it.

Related Objects

StatusAssignedTask
Resolvedhashar
DuplicateNone
Resolvedhashar
Resolvedhashar
DuplicateNone
ResolvedKrinkle
Resolvedhashar
Resolvedmobrovac
Resolvedmobrovac
Resolvedmobrovac
Resolvedmark
ResolvedCmjohnson
Resolvedmobrovac
ResolvedNone
Resolvedmobrovac
Resolvedmobrovac
Resolvedmobrovac
InvalidNone
DeclinedNone
ResolvedKrinkle
ResolvedKartikMistry
ResolvedKartikMistry
DeclinedNone
Resolvedmobrovac
Resolvedbd808
Resolvedmobrovac
Resolvedhashar
Resolvedhashar
Resolvedmobrovac
Resolvedhashar
Resolvedhashar
Resolvedmobrovac
Resolvedhashar
DuplicateNone
Resolvedhashar
Resolvedhashar
Resolvedhashar
Resolvedhashar
Resolvedhashar
Resolvedhashar
Resolvedakosiaris
ResolvedYurik
Resolvedakosiaris
Resolvedmobrovac
Resolved GWicke
Resolved yuvipanda
Resolvedmobrovac
Resolvedmobrovac
Resolvedmobrovac

Event Timeline

mobrovac raised the priority of this task from to Normal.
mobrovac updated the task description. (Show Details)
mobrovac added a subscriber: mobrovac.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJan 27 2016, 10:31 PM
Ricordisamoa added a subscriber: Ricordisamoa.
Paladox set Security to None.Feb 4 2016, 3:09 PM
Paladox added a subscriber: Paladox.

Change 269129 had a related patch set uploaded (by Hashar):
npm-node-4.2 on a bunch of JS services repos

https://gerrit.wikimedia.org/r/269129

Change 269129 merged by jenkins-bot:
npm-node-4.2 on a bunch of JS services repos

https://gerrit.wikimedia.org/r/269129

hashar added a subscriber: hashar.Feb 8 2016, 2:50 PM

For the sources repositories under mediawiki/services/.* you should now be able to comment check experimental to trigger npm install && npm test under nodejs 4.2.

All repositories that pass can be switched I guess.

mobrovac renamed this task from Move Node.JS services to Jessie and Node 4.2 to Move Node.JS services to Jessie and Node 4.Mar 10 2016, 8:04 AM
mobrovac updated the task description. (Show Details)
Krenair renamed this task from Move Node.JS services to Jessie and Node 4 to Move Node.JS services to Jessie and Node 4 (tracking).Apr 10 2016, 12:47 AM
Krenair edited projects, added Tracking-Neverending; removed Patch-For-Review.
Jdforrester-WMF renamed this task from Move Node.JS services to Jessie and Node 4 (tracking) to Move all Node.JS services to Jessie and Node 4.Jul 20 2016, 6:08 PM
Jdforrester-WMF added a subscriber: Jdforrester-WMF.

Rest of services currently on SCA will be migrated to Jessie / SCB via T96017. Feel free to close this T124989 since all the other sub tasks have been completed.

mobrovac closed this task as Resolved.Aug 22 2016, 10:52 AM
mobrovac claimed this task.